Name:          openid4java
Version:       1.0.0
Release:       3%{?dist}
Summary:       This library allows you to OpenID-enable your Java web-app
License:       ASL 2.0
URL:           https://github.com/jbufu/openid4java
Source0:       https://github.com/jbufu/openid4java/archive/%{name}-%{version}.tar.gz
# build fix for ehcache-core >= 2.x
Patch0:        %{name}-0.9.6.662-ehcache-core.patch

BuildRequires: maven-local
BuildRequires: mvn(com.google.inject:guice)
BuildRequires: mvn(commons-codec:commons-codec)
BuildRequires: mvn(commons-io:commons-io)
BuildRequires: mvn(commons-logging:commons-logging)
BuildRequires: mvn(hsqldb:hsqldb:1)
BuildRequires: mvn(javax.inject:javax.inject)
BuildRequires: mvn(javax.servlet:javax.servlet-api)
BuildRequires: mvn(javax.servlet.jsp:jsp-api)
BuildRequires: mvn(jdom:jdom)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(log4j:log4j:1.2.17)
BuildRequires: mvn(net.sf.cglib:cglib)
BuildRequires: mvn(net.sf.ehcache:ehcache-core)
BuildRequires: mvn(net.sourceforge.nekohtml:nekohtml)
BuildRequires: mvn(org.apache.httpcomponents:httpclient)
BuildRequires: mvn(org.apache.httpcomponents:httpcore)
BuildRequires: mvn(org.apache.maven.plugins:maven-antrun-plugin)
BuildRequires: mvn(org.codehaus.mojo:properties-maven-plugin)
BuildRequires: mvn(org.springframework:spring-core)
BuildRequires: mvn(org.springframework:spring-beans)
BuildRequires: mvn(org.springframework:spring-jdbc)
BuildRequires: mvn(org.springframework:spring-tx)
BuildRequires: mvn(xerces:xercesImpl)
BuildRequires: mvn(xml-apis:xml-apis)

Requires:      mvn(log4j:log4j:1.2.17)

BuildArch:     noarch

%description
OpenID4Java library offers support for OpenID-enabling a
consumer site or implementing an OpenID Provider server.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{name}-%{version}
%patch0 -p0

find -name '*.class' -delete
find -name '*.jar' -delete
rm -rf openid4java.ai
rm -rf apidoc/*

%pom_remove_plugin :cobertura-maven-plugin
%pom_remove_plugin :findbugs-maven-plugin
#%%pom_remove_plugin :maven-antrun-plugin
%pom_remove_plugin :maven-assembly-plugin
%pom_remove_plugin :maven-checkstyle-plugin
%pom_remove_plugin :maven-pmd-plugin
%pom_remove_plugin :maven-source-plugin
%pom_remove_plugin :rat-maven-plugin
%pom_remove_plugin :taglist-maven-plugin
%pom_remove_plugin :versions-maven-plugin
%pom_remove_plugin :maven-javadoc-plugin

%pom_remove_dep xml-security:xmlsec

%pom_add_dep javax.inject:javax.inject
%pom_add_dep commons-codec:commons-codec
%pom_add_dep org.apache.httpcomponents:httpcore
%pom_add_dep org.springframework:spring-core
%pom_add_dep org.springframework:spring-beans
%pom_add_dep org.springframework:spring-tx
%pom_change_dep :servlet-api :javax.servlet-api:3.1.0
%pom_add_dep javax.servlet.jsp:jsp-api:2.3.2-b01

# require org.openxri
# org.openxri:openxri-syntax
# org.openxri:openxri-client
rm -r src/org/openid4java/discovery/xri/LocalXriResolver.java

# require: org.eclipse.higgins
# org.eclipse.higgins:higgins-configuration-api
# org.eclipse.higgins:higgins-sts-api
# org.eclipse.higgins:higgins-sts-common
# org.eclipse.higgins:higgins-sts-server-token-handler
# org.eclipse.higgins:higgins-sts-spi
# org.apache.ws.commons.axiom:axiom-api
rm -r src/org/openid4java/infocard \
  test/src/org/openid4java/infocard

# unavailable test deps
%pom_remove_dep jetty:jetty
%pom_remove_dep jetty:jetty-util
%pom_remove_dep net.sourceforge.jwebunit:jwebunit-htmlunit-plugin
rm -r test/src/org/openid4java/discovery/yadis/YadisResolverTest.java \
  test/src/org/openid4java/samples/ConsumerAndProviderTest.java \
  test/src/org/openid4java/consumer/ConsumerManagerTest.java

%pom_change_dep :ehcache :ehcache-core

# this test fails
rm -r test/src/org/openid4java/consumer/EhcacheNonceVerifierTest.java

%pom_add_dep commons-io:commons-io::test
%pom_add_dep net.sf.cglib:cglib::test
%pom_xpath_set "pom:dependency[pom:artifactId='hsqldb']/pom:version" "1"

%pom_add_dep xml-apis:xml-apis::test
%pom_xpath_set "pom:dependency[pom:artifactId='log4j']/pom:version" "1.2.17"

%mvn_file :%{name} %{name} openid4java-nodeps
%mvn_alias :%{name} "org.openid4java:openid4java-nodeps"

%build

# @ random tests fails
# e.g. Failed tests:   testNonceCleanup(org.openid4java.consumer.JdbcNonceVerifierTest): expected:<0> but was:<3>
%mvn_build

rm -rf target/site/apidocs/javadoc.sh

%install
%mvn_install

%files -f .mfiles
%doc CHANGELOG MAINTAINERS README.md TODO
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Jan 30 2016 gil cattaneo <puntogil@libero.it> - 1.0.0-2
- rebuilt

* Wed Jul 08 2015 gil cattaneo <puntogil@libero.it> 1.0.0-1
- update to 1.0.0
- switch to glassfish servlet/jsp apis
- fix Url field

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.8-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Feb 11 2015 gil cattaneo <puntogil@libero.it> 0.9.8-6
- introduce license macro

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.8-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Aug 06 2013 gil cattaneo <puntogil@libero.it> 0.9.8-4
- add aliases

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Jul 05 2013 gil cattaneo <puntogil@libero.it> 0.9.8-2
- switch to XMvn
- minor changes to adapt to current guideline

* Fri May 31 2013 gil cattaneo <puntogil@libero.it> 0.9.8-1
- update to 0.9.8.741

* Sun May 12 2013 gil cattaneo <puntogil@libero.it> 0.9.7-1
- update to 0.9.7.720

* Fri Nov 16 2012 gil cattaneo <puntogil@libero.it> 0.9.6-1
- initial rpm
